;-------------------------------------------------------------------------------
; FATware - firmware and file system driver for ZX Spectrum divIDE interface
; Copyright (c) 2005-2009 Milos Bazelides (baze)
;-------------------------------------------------------------------------------
; This software is provided "as is" without warranties or conditions of any
; kind, either express or implied. In no event shall the author(s) be held
; liable for any damages arising from the use of this software.
; See accompanying "licence.txt" file for copyright and terms of use.
;-------------------------------------------------------------------------------
; This file contains constants and macros related to ZX Spectrum platform.
;-------------------------------------------------------------------------------

; ZX Spectrum colours

INK_BLACK	equ	0
INK_BLUE	equ	1
INK_RED		equ	2
INK_MAGENTA	equ	3
INK_GREEN	equ	4
INK_CYAN	equ	5
INK_YELLOW	equ	6
INK_WHITE	equ	7
PAP_BLACK	equ	0
PAP_BLUE	equ	8
PAP_RED		equ	16
PAP_MAGENTA	equ	24
PAP_GREEN	equ	32
PAP_CYAN	equ	40
PAP_YELLOW	equ	48
PAP_WHITE	equ	56
BRIGHT		equ	64
FLASH		equ	128

; BASIC system variables

BORDCR		equ	23624

